Otc
OTC Fee Sharing Record
POST
/
platformapi
/
chainup
/
open
/
record
/
feeSharing_otc_detail
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/record/feeSharing_otc_detail
{
"code": "0",
"msg": "suc",
"data": {
"count": 1,
"list": [
{
"volumeDivideRate": 0.0004000000000000,
"rateSymbol": "BTC",
"rateTime": 1584532046000,
"itemDate": 1696867200000,
"maxDivideRate": 0.0010000000000000,
"otcTradeFeeConvertValue": 0.0010000000000000,
"remark": "fingerprint error , stop Huisuan",
"billingStatusStr": "Settled accounts",
"mtime": 1696908515000,
"countTime": 1584532046000,
"billingStatus": 3,
"companyId": 1411,
"coinSymbol": "BTC",
"incomeDivideRate": 0.2000000000000000,
"otcTradeValueAll": 1.0000000000000000,
"fingerprint": "f5b20370eef6fc9aed36e01c8db2cdf6",
"ctime": 1584532046000,
"id": 2,
"otcTradeValueSub": 0E-16,
"changeRate": 0E-16,
"otcTradeFeeValue": 0.0050000000000000
}
]
}
}
Params:
Usually all the data will go through three stages:
- Statistic: We collect all the original data
- Calculated: Then we calculate the original data to get the numbers such as: income of division fee
- Settled account: Finally, we settle those values to corresponding fee pooling UID. For the needs of reconciliation, “settled account” is essential for merchants to check and fetch data
Query Parameters
appKey
string
requiredMerchant AppKey
Example: xxx_xxx
symbol
string
Currency pair
itemDateStart
string
Start Time No Time The latest 7 days are displayed by default.
Example: 1696994410000
itemDateEnd
string
End time.
Example: 1696994410000
pageSize
string
Number of pages per page (default 10, max 1000, can be equal to 1000).
Example: 20
page
string
Default= 1 .
Example: 1
billstatus
string
Status: 0 Statistic, 1 Calculated, 3 Settled accounts ,-999 all.
Example: 1
sign
string
requiredSignature
Example: 2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd
Response
200 - application/json
code
string
Return code.
Example: 0
msg
string
Success or failure message
Example: Success
data
object
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/record/feeSharing_otc_detail
{
"code": "0",
"msg": "suc",
"data": {
"count": 1,
"list": [
{
"volumeDivideRate": 0.0004000000000000,
"rateSymbol": "BTC",
"rateTime": 1584532046000,
"itemDate": 1696867200000,
"maxDivideRate": 0.0010000000000000,
"otcTradeFeeConvertValue": 0.0010000000000000,
"remark": "fingerprint error , stop Huisuan",
"billingStatusStr": "Settled accounts",
"mtime": 1696908515000,
"countTime": 1584532046000,
"billingStatus": 3,
"companyId": 1411,
"coinSymbol": "BTC",
"incomeDivideRate": 0.2000000000000000,
"otcTradeValueAll": 1.0000000000000000,
"fingerprint": "f5b20370eef6fc9aed36e01c8db2cdf6",
"ctime": 1584532046000,
"id": 2,
"otcTradeValueSub": 0E-16,
"changeRate": 0E-16,
"otcTradeFeeValue": 0.0050000000000000
}
]
}
}